Bug 114711 - anaconda: gtk2 reversed dialog logic
Summary: anaconda: gtk2 reversed dialog logic
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-01 03:37 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 00:59:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2004-02-01 03:37:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
I noticed this problem at least during the RH9 betas, but I forgot to
report it.

image.py line 410, if you click "OK" it kills the installer despite
what the dialog text says.  notting confirmed that clicking "OK"
returns 1, which is the opposite of what the "if" conditional wants.

I noticed there is also a similar case of "Ignore" "Cancel" at the
manual partitioning screen and it does not like something about your
partition table.  If you click "Cancel" it goes ahead anyway.  This
may be another case of reversed logic.

Comment 1 Jeremy Katz 2004-02-17 23:57:17 UTC
Fixed in CVS (although I changed the wording and code around a bit)


Note You need to log in before you can comment on or make changes to this bug.